/**
 * Copyright (c) 2022 - present TinyVue Authors.
 * Copyright (c) 2022 - present Huawei Cloud Computing Technologies Co., Ltd.
 *
 * Use of this source code is governed by an MIT-style license.
 *
 * THE OPEN SOURCE SOFTWARE IN THIS PRODUCT IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL,
 * BUT WITHOUT ANY WARRANTY, WITHOUT EVEN THE IMPLIED WARRANTY OF MERCHANTABILITY OR FITNESS FOR
 * A PARTICULAR PURPOSE. SEE THE APPLICABLE LICENSES FOR MORE DETAILS.
 *
 */
/**
 * 键盘按键对应的键码常量
 * @type {Record<string, number>}
 */
export declare const KEY_CODE: Record<string, number>;
/**
 * 组件定位方向常量
 * @type {Record<string, string>}
 */
export declare const POSITION: Record<string, string>;
/**
 * 排序方向常量
 * 只使用在 array.ts中， 待移除
 * @type {Record<string, string>}
 */
export declare const SORT: Record<string, string>;
/**
 * 刷新间隔时间（毫秒）
 * @type {number}
 */
export declare const REFRESH_INTERVAL = 100;
/**
 * IP地址输入阈值常量
 * @type {Record<string, number>}
 */
export declare const IPTHRESHOLD: Record<string, number>;
/**
 * 日期格式常量
 * @type {Record<string, string>}
 */
export declare const DATE: Record<string, string>;
/**
 * 日期选择器相关常量
 * @type {Record<string, any>}
 */
export declare const DATEPICKER: Record<string, any>;
/**
 * 浏览器名称常量
 * @type {Record<string, string>}
 */
export declare const BROWSER_NAME: Record<string, string>;
/**
 * 鼠标滚轮增量值
 * @type {number}
 */
export declare const MOUSEDELTA = 120;
/**
 * 表单验证状态常量
 * @type {Record<string, string>}
 */
export declare const VALIDATE_STATE: Record<string, string>;
/**
 * 级联选择器相关常量
 * @type {Record<string, any>}
 */
export declare const CASCADER: Record<string, any>;
/**
 * 检查对象是否具有任何一个指定的键
 * @param obj 需要检查的对象
 * @param keys 需要检查的键的数组
 * @return 如果对象具有任何一个指定的键，返回true，否则返回false
 */
export declare const hasAnyKey: (obj: any, keys: string[]) => boolean;
