/**
 * Copyright (c) 2022 - present TinyVue Authors.
 * Copyright (c) 2022 - present Huawei Cloud Computing Technologies Co., Ltd.
 *
 * Use of this source code is governed by an MIT-style license.
 *
 * THE OPEN SOURCE SOFTWARE IN THIS PRODUCT IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL,
 * BUT WITHOUT ANY WARRANTY, WITHOUT EVEN THE IMPLIED WARRANTY OF MERCHANTABILITY OR FITNESS FOR
 * A PARTICULAR PURPOSE. SEE THE APPLICABLE LICENSES FOR MORE DETAILS.
 *
 */
interface FullscreenEvents {
    fullscreenElement: string;
    fullscreenEnabled: string;
    requestFullscreen: string;
    exitFullscreen: string;
    fullscreenchange: string;
    fullscreenerror: string;
    [key: string]: string;
}
interface Screenfull {
    request: (element?: any, options?: any) => Promise<void>;
    exit: () => Promise<void>;
    toggle: (element?: any, options?: any) => Promise<void>;
    onchange: (callback: any) => void;
    onerror: (callback: any) => void;
    on: (event: string, callback: any) => void;
    off: (event: string, callback: any) => void;
    raw: FullscreenEvents | {};
    isFullscreen?: boolean;
    element?: any;
    isEnabled?: boolean;
}
declare const screenfull: Screenfull;
export default screenfull;
