/**
 * Copyright (c) 2022 - present TinyVue Authors.
 * Copyright (c) 2022 - present Huawei Cloud Computing Technologies Co., Ltd.
 *
 * Use of this source code is governed by an MIT-style license.
 *
 * THE OPEN SOURCE SOFTWARE IN THIS PRODUCT IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL,
 * BUT WITHOUT ANY WARRANTY, WITHOUT EVEN THE IMPLIED WARRANTY OF MERCHANTABILITY OR FITNESS FOR
 * A PARTICULAR PURPOSE. SEE THE APPLICABLE LICENSES FOR MORE DETAILS.
 *
 */
export interface IModalStack {
    id: string;
    zIndex: number;
    modalClass: string;
}
export declare const PopupManager: {
    step: number;
    zIndex: number;
    globalScroll: boolean;
    modalFade: boolean;
    modalStack: IModalStack[];
    modalDom: HTMLElement;
    hasModal: boolean;
    popLockClass: string;
    oldBodyBorder: string;
    viewportWindow: null;
    fixBodyBorder(): void;
    resetBodyBorder(): void;
    /** 全局反注册 */
    deregister: (id: string) => void;
    /** 返回全局实例 */
    getInstance: (id: string) => any;
    /** 全局注册   仅vue-popup.ts中使用，instance就是vm, 把vm注册到 vm._popupId 这个键值上 */
    register: (id: string, instance: any) => void;
    nextZIndex: () => number;
    /** 打开遮罩层， 仅vue-popup.ts中使用。 dom = vm.$el 或者 undefined (appendtoBody时)  */
    openModal(id: string, zIndex: number, dom: HTMLElement | undefined, modalClass: string, modalFade: boolean): void;
    /** 点击背景遮罩层时，调用栈顶的popup，调用它的close() */
    doOnModalClick: () => void;
    closeModal(id: string): void;
};
