/**
 * Copyright (c) 2022 - present TinyVue Authors.
 * Copyright (c) 2022 - present Huawei Cloud Computing Technologies Co., Ltd.
 *
 * Use of this source code is governed by an MIT-style license.
 *
 * THE OPEN SOURCE SOFTWARE IN THIS PRODUCT IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL,
 * BUT WITHOUT ANY WARRANTY, WITHOUT EVEN THE IMPLIED WARRANTY OF MERCHANTABILITY OR FITNESS FOR
 * A PARTICULAR PURPOSE. SEE THE APPLICABLE LICENSES FOR MORE DETAILS.
 *
 */
export declare const getChildState: (node: any) => {
    all: boolean;
    none: boolean;
    allWithoutDisable: boolean;
    half: boolean;
};
export declare class Node {
    constructor(options: any);
    initExpandState(): void;
    init(options: any): void;
    expandByDefaultKeys(): void;
    setData(data: any): void;
    get key(): any;
    get label(): any;
    get disabled(): any;
    get nextSibling(): any;
    get previousSibling(): any;
    remove(): void;
    contains(target: any, deep?: boolean): boolean;
    insertChild(child: any, index?: any, batch?: any): any;
    insertBefore(child: any, beforeNode: any): void;
    insertAfter(child: any, afterNode: any): void;
    removeChild(child: any): void;
    removeChildByData(data: any): void;
    expand(callback: any, expandParent: any): void;
    doCreateChildren(array: any, defaultProps?: {}): void;
    collapse(): void;
    shouldLoadData(): any;
    updateLeafState(): void;
    getChildren(forceInit?: boolean): any;
    setChecked(value: any, isDeepChecked: any, recursion: any, passValue: any, checkEasily: any): void;
    setCheckedInner({ checkDescendants, value, isDeepChecked, passValue, checkEasily }: {
        checkDescendants: any;
        value: any;
        isDeepChecked: any;
        passValue: any;
        checkEasily: any;
    }): {
        value: any;
        passValue: any;
        returnFlag: boolean;
    };
    updateChildren(): void;
    loadData(callback: any, defaultProps?: {}): void;
    getPathData(key: any): any[];
    getPathText(key: any, separator?: string): string;
}
