/**
 * Copyright (c) 2022 - present TinyVue Authors.
 * Copyright (c) 2022 - present Huawei Cloud Computing Technologies Co., Ltd.
 *
 * Use of this source code is governed by an MIT-style license.
 *
 * THE OPEN SOURCE SOFTWARE IN THIS PRODUCT IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL,
 * BUT WITHOUT ANY WARRANTY, WITHOUT EVEN THE IMPLIED WARRANTY OF MERCHANTABILITY OR FITNESS FOR
 * A PARTICULAR PURPOSE. SEE THE APPLICABLE LICENSES FOR MORE DETAILS.
 *
 */
type TranslateFunction = (value: string) => string;
declare const _default: (translate?: TranslateFunction) => {
    default: string;
    required: string;
    enum: string;
    whitespace: string;
    date: {
        format: string;
        parse: string;
        invalid: string;
    };
    types: {
        string: string;
        method: string;
        array: string;
        object: string;
        number: string;
        date: string;
        boolean: string;
        integer: string;
        float: string;
        regexp: string;
        email: string;
        url: string;
        hex: string;
        digits: string;
        time: string;
        dateYM: string;
        dateYMD: string;
        dateTime: string;
        longDateTime: string;
        version: string;
        speczh: string;
        specialch: string;
        specialch2: string;
        acceptImg: string;
        acceptFile: string;
        fileSize: string;
    };
    string: {
        len: string;
        min: string;
        max: string;
        range: string;
    };
    number: {
        len: string;
        min: string;
        max: string;
        range: string;
    };
    array: {
        len: string;
        min: string;
        max: string;
        range: string;
    };
    pattern: {
        mismatch: string;
    };
};
export default _default;
