/**
 * Copyright (c) 2022 - present TinyVue Authors.
 * Copyright (c) 2022 - present Huawei Cloud Computing Technologies Co., Ltd.
 *
 * Use of this source code is governed by an MIT-style license.
 *
 * THE OPEN SOURCE SOFTWARE IN THIS PRODUCT IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL,
 * BUT WITHOUT ANY WARRANTY, WITHOUT EVEN THE IMPLIED WARRANTY OF MERCHANTABILITY OR FITNESS FOR
 * A PARTICULAR PURPOSE. SEE THE APPLICABLE LICENSES FOR MORE DETAILS.
 *
 */
/**
 * 日期验证函数
 *
 * @description 验证字段值是否为有效的日期格式，支持日期对象和日期字符串
 * @param rule - 验证规则对象
 * @param checkValue - 待验证的值
 * @param callback - 验证完成后的回调函数
 * @param source - 包含所有字段的源对象
 * @param options - 验证选项
 */
export default function dateValidator(rule: {
    required?: boolean;
    field: string;
    type?: string;
    min?: number;
    max?: number;
    [key: string]: any;
}, checkValue: any, callback: (errors?: any[]) => void, source: Record<string, any>, options: Record<string, any>): void;
